List Collections
Catalog + Curated
This page is generated from the full broker catalog and enhanced with curated examples.
Return collections currently available for the configured cluster.
Request Body
{
"jsonrpc": "2.0",
"id": "qdrant-qdrant-list-collections-example",
"method": "tools/call",
"params": {
"name": "qdrant.qdrant-list-collections",
"arguments": {}
}
}
Arguments Schema
{
"type": "object",
"properties": {},
"additionalProperties": false
}
Code Examples
- cURL
- Node.js
- Python
curl -X POST 'https://madpanda3d.com/lab/mad-mcps/portal/api/mcp' \
-H 'Authorization: Bearer mad_live_***' \
-H 'Content-Type: application/json' \
-d '{
"jsonrpc": "2.0",
"id": "qdrant-qdrant-list-collections-example",
"method": "tools/call",
"params": {
"name": "qdrant.qdrant-list-collections",
"arguments": {}
}
}'
const response = await fetch('https://madpanda3d.com/lab/mad-mcps/portal/api/mcp', {
method: 'POST',
headers: {
Authorization: 'Bearer mad_live_***',
'Content-Type': 'application/json',
},
body: JSON.stringify({
"jsonrpc": "2.0",
"id": "qdrant-qdrant-list-collections-example",
"method": "tools/call",
"params": {
"name": "qdrant.qdrant-list-collections",
"arguments": {}
}
}),
});
const data = await response.json();
console.log(data);
import requests
url = 'https://madpanda3d.com/lab/mad-mcps/portal/api/mcp'
headers = {
'Authorization': 'Bearer mad_live_***',
'Content-Type': 'application/json',
}
payload = {
"jsonrpc": "2.0",
"id": "qdrant-qdrant-list-collections-example",
"method": "tools/call",
"params": {
"name": "qdrant.qdrant-list-collections",
"arguments": {}
}
}
response = requests.post(url, headers=headers, json=payload, timeout=60)
print(response.json())
Example Responses
- 200 Success
- 503 Upstream Unavailable
{
"ok": true,
"collections": [
{
"name": "school",
"vectorsCount": 142233
},
{
"name": "jarvis-knowledge-base",
"vectorsCount": 9055
}
]
}
{
"ok": false,
"classification": "upstream_http_error",
"message": "QDRANT connector call failed for qdrant-list-collections."
}